package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Catgory struct {
	Id   primitive.ObjectID `bson:"_id,omitempty" json:"_id,omitempty"`
	Name string             `bson:"name,omitempty" json:"name,omitempty"`
	// 分类类型: 图片/视频/vr...
	Type string `bson:"type,omitempty" json:"type,omitempty"`

	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime,omitempty"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime,omitempty"`
}
