package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Home struct {
	Id      primitive.ObjectID `bson:"_id,omitempty" json:"_id,omitempty"`
	Content string             `bson:"content,omitempty" json:"content,omitempty"`

	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime,omitempty"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime,omitempty"`
}
