package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Images struct {
	Id     primitive.ObjectID `bson:"_id,omitempty" json:"_id,omitempty"`
	Cid    primitive.ObjectID `bson:"cid,omitempty" json:"cid,omitempty"`
	Url    string             `bson:"url,omitempty" json:"url,omitempty"`
	Name   string             `bson:"name,omitempty" json:"name,omitempty"`
	Desc   string             `bson:"desc,omitempty" json:"desc,omitempty"`
	Clicks int                `bson:"clicks,omitempty" json:"clicks,omitempty"`
	Sort   int                `bson:"sort,omitempty" json:"sort,omitempty"`

	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime,omitempty"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime,omitempty"`
	// 1 上架 -1下架
	State *int `bson:"state,omitempty" json:"state,omitempty"`
}
