package api

import (
	"fmt"

	"github.com/casdoor/casdoor-go-sdk/casdoorsdk"
	"github.com/gin-gonic/gin"
)

func getToken(c *gin.Context, apictx *ApiSession) (interface{}, error) {

	token, err := casdoorsdk.GetOAuthToken(c.Query("code"), c.Query("state"))
	if err != nil {
		fmt.Println(err)
		return err, nil
	}

	fmt.Println(token.AccessToken)
	claims, err := casdoorsdk.ParseJwtToken(token.AccessToken)
	if err != nil {
		fmt.Println(err)
		return err, nil
	}
	fmt.Println(claims)
	// c.Redirect(http.StatusFound, "https://auth.3dqueen.cloud")

	claims.AccessToken = token.AccessToken
	return claims, nil
}
