package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Ar struct {
	Id       primitive.ObjectID `bson:"_id,omitempty" json:"_id,omitempty"`
	Cid      primitive.ObjectID `bson:"cid,omitempty" json:"cid,omitempty"`
	Cover    string             `bson:"cover,omitempty" json:"cover,omitempty"`
	Name     string             `bson:"name,omitempty" json:"name,omitempty"`
	Qr       string             `bson:"qr,omitempty" json:"qr,omitempty"`
	AdminUrl string             `bson:"adminUrl,omitempty" json:"adminUrl,omitempty"`

	Clicks int `bson:"clicks,omitempty" json:"clicks,omitempty"`
	Sort   int `bson:"sort,omitempty" json:"sort,omitempty"`

	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime,omitempty"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime,omitempty"`
	// 1 上架 -1下架
	State *int `bson:"state,omitempty" json:"state,omitempty"`
}
